package com.sunxung.factoring.entity.financing.apply;

import com.baomidou.mybatisplus.annotation.TableField;

import java.math.BigDecimal;

/**
 * <p>
 * 融资申请-基础信息表
 * </p>
 *
 * @author liutao
 * @since 2023-12-19
 */
public class CFinancingHisInfo {

    private Long id;

    /**
     * 融资管理基础信息表ID
     */
    @TableField("c_financing_basic_info_id")
    private Long financingBasicInfoId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 用户Id
     */
    private Long sysUserId;

    /**
     * 业务编号
     */
    private String businessNumber;

    /**
     * 供应商Id
     */
    @TableField("supplier_id")
    private Long mainEnterpriseId;

    /**
     * 核心企业Id
     */
    @TableField("enterprise_customer_info_id")
    private Long coreEnterpriseId;

    /**
     * 贸易平台Id
     */
    @TableField("trading_platform_id")
    private Long platformId;

    /**
     * 合同名称（采购）
     */
    @TableField("contract_name")
    private String purchContractName;

    /**
     * 合同编号（采购）
     */
    @TableField("contract_number")
    private String purchContractNumber;

    /**
     * 融资金额
     */
    private BigDecimal financingAmount;

    /**
     * 核心企业名称
     */
    @TableField(exist = false)
    private String coreEnterpriseName;

    /**
     * 主企业（供应商）名称
     **/
    @TableField(exist = false)
    private String mainEnterpriseName;

    /**
     * 贸易平台名称
     **/
    @TableField(exist = false)
    private String platformName;

    /**
     * 供应商Id
     */
    @TableField(exist = false)
    private Long supplierId;

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Long getSysUserId() {
        return sysUserId;
    }

    public void setSysUserId(Long sysUserId) {
        this.sysUserId = sysUserId;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public Long getMainEnterpriseId() {
        return mainEnterpriseId;
    }

    public void setMainEnterpriseId(Long mainEnterpriseId) {
        this.mainEnterpriseId = mainEnterpriseId;
    }

    public Long getCoreEnterpriseId() {
        return coreEnterpriseId;
    }

    public void setCoreEnterpriseId(Long coreEnterpriseId) {
        this.coreEnterpriseId = coreEnterpriseId;
    }

    public Long getPlatformId() {
        return platformId;
    }

    public void setPlatformId(Long platformId) {
        this.platformId = platformId;
    }

    public String getPurchContractName() {
        return purchContractName;
    }

    public void setPurchContractName(String purchContractName) {
        this.purchContractName = purchContractName;
    }

    public String getPurchContractNumber() {
        return purchContractNumber;
    }

    public void setPurchContractNumber(String purchContractNumber) {
        this.purchContractNumber = purchContractNumber;
    }

    public BigDecimal getFinancingAmount() {
        return financingAmount;
    }

    public void setFinancingAmount(BigDecimal financingAmount) {
        this.financingAmount = financingAmount;
    }

    public Long getFinancingBasicInfoId() {
        return financingBasicInfoId;
    }

    public void setFinancingBasicInfoId(Long financingBasicInfoId) {
        this.financingBasicInfoId = financingBasicInfoId;
    }

    public String getCoreEnterpriseName() {
        return coreEnterpriseName;
    }

    public void setCoreEnterpriseName(String coreEnterpriseName) {
        this.coreEnterpriseName = coreEnterpriseName;
    }

    public String getMainEnterpriseName() {
        return mainEnterpriseName;
    }

    public void setMainEnterpriseName(String mainEnterpriseName) {
        this.mainEnterpriseName = mainEnterpriseName;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
